## qt6-opcua 6.9.3

=== src/opcua/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## OpcUa Module:
#####################################################################

qt_internal_add_module(OpcUa
    PLUGIN_TYPES opcua
    SOURCES
        client/qopcuaaddnodeitem.cpp client/qopcuaaddnodeitem.h
        client/qopcuaaddreferenceitem.cpp client/qopcuaaddreferenceitem.h
        client/qopcuaapplicationdescription.cpp client/qopcuaapplicationdescription.h
        client/qopcuaapplicationidentity.cpp client/qopcuaapplicationidentity.h
        client/qopcuaapplicationrecorddatatype.cpp client/qopcuaapplicationrecorddatatype.h
        client/qopcuaargument.cpp client/qopcuaargument.h
        client/qopcuaattributeoperand.cpp client/qopcuaattributeoperand.h
        client/qopcuaauthenticationinformation.cpp client/qopcuaauthenticationinformation.h
        client/qopcuaaxisinformation.cpp client/qopcuaaxisinformation.h
        client/qopcuabackend.cpp client/qopcuabackend_p.h
        client/qopcuabinarydataencoding.cpp client/qopcuabinarydataencoding.h
        client/qopcuabrowsepathtarget.cpp client/qopcuabrowsepathtarget.h
        client/qopcuabrowserequest.cpp client/qopcuabrowserequest.h
        client/qopcuaclient.cpp client/qopcuaclient.h client/qopcuaclient_p.h
        client/qopcuaclientimpl.cpp client/qopcuaclientimpl_p.h
        client/qopcuaclientprivate.cpp
        client/qopcuacomplexnumber.cpp client/qopcuacomplexnumber.h
        client/qopcuaconnectionsettings.cpp client/qopcuaconnectionsettings.h
        client/qopcuacontentfilterelement.cpp client/qopcuacontentfilterelement.h
        client/qopcuacontentfilterelementresult.cpp client/qopcuacontentfilterelementresult.h
        client/qopcuadatavalue.cpp client/qopcuadatavalue.h
        client/qopcuadeletereferenceitem.cpp client/qopcuadeletereferenceitem.h
        client/qopcuadoublecomplexnumber.cpp client/qopcuadoublecomplexnumber.h
        client/qopcuaelementoperand.cpp client/qopcuaelementoperand.h
        client/qopcuaendpointdescription.cpp client/qopcuaendpointdescription.h
        client/qopcuaenumdefinition.cpp client/qopcuaenumdefinition.h
        client/qopcuaenumfield.cpp client/qopcuaenumfield.h
        client/qopcuaerrorstate.cpp client/qopcuaerrorstate.h
        client/qopcuaeuinformation.cpp client/qopcuaeuinformation.h
        client/qopcuaeventfilterresult.cpp client/qopcuaeventfilterresult.h
        client/qopcuaexpandednodeid.cpp client/qopcuaexpandednodeid.h
        client/qopcuaextensionobject.cpp client/qopcuaextensionobject.h
        client/qopcuahistorydata.cpp client/qopcuahistorydata.h
        client/qopcuahistoryevent.cpp client/qopcuahistoryevent.h
        client/qopcuahistoryreadrawrequest.cpp client/qopcuahistoryreadrawrequest.h
        client/qopcuahistoryreadeventrequest.cpp client/qopcuahistoryreadeventrequest.h
        client/qopcuahistoryreadresponse.cpp client/qopcuahistoryreadresponse.h
        client/qopcuahistoryreadresponseimpl.cpp client/qopcuahistoryreadresponseimpl_p.h
        client/qopcuahistoryreadresponse_p.h
        client/qopcuainternaldatatypenode.cpp client/qopcuainternaldatatypenode_p.h
        client/qopcuagenericstructvalue.cpp client/qopcuagenericstructvalue.h
        client/qopcuagenericstructhandler.cpp client/qopcuagenericstructhandler.h
        client/qopcuagenericstructhandlerprivate.cpp client/qopcuagenericstructhandler_p.h
        client/qopcualiteraloperand.cpp client/qopcualiteraloperand.h
        client/qopcualocalizedtext.cpp client/qopcualocalizedtext.h
        client/qopcuamonitoringparameters.cpp client/qopcuamonitoringparameters.h client/qopcuamonitoringparameters_p.h
        client/qopcuamultidimensionalarray.cpp client/qopcuamultidimensionalarray.h
        client/qopcuanode.cpp client/qopcuanode.h client/qopcuanode_p.h
        client/qopcuanodecreationattributes.cpp client/qopcuanodecreationattributes.h client/qopcuanodecreationattributes_p.h
        client/qopcuanodeids.cpp client/qopcuanodeids.h
        client/qopcuanodeimpl.cpp client/qopcuanodeimpl_p.h
        client/qopcuapkiconfiguration.cpp client/qopcuapkiconfiguration.h
        client/qopcuaqualifiedname.cpp client/qopcuaqualifiedname.h
        client/qopcuarange.cpp client/qopcuarange.h
        client/qopcuareaditem.cpp client/qopcuareaditem.h
        client/qopcuareadresult.cpp client/qopcuareadresult.h
        client/qopcuareferencedescription.cpp client/qopcuareferencedescription.h
        client/qopcuarelativepathelement.cpp client/qopcuarelativepathelement.h
        client/qopcuasimpleattributeoperand.cpp client/qopcuasimpleattributeoperand.h
        client/qopcuastructuredefinition.cpp client/qopcuastructuredefinition.h
        client/qopcuastructurefield.cpp client/qopcuastructurefield.h
        client/qopcuatype.cpp client/qopcuatype.h
        client/qopcuausertokenpolicy.cpp client/qopcuausertokenpolicy.h
        client/qopcuawriteitem.cpp client/qopcuawriteitem.h
        client/qopcuawriteresult.cpp client/qopcuawriteresult.h
        client/qopcuaxvalue.cpp client/qopcuaxvalue.h
        client/qopcuadiagnosticinfo.cpp client/qopcuadiagnosticinfo.h
        client/qopcuavariant.cpp client/qopcuavariant.h
        compat/removed_api.cpp
        core/qopcuaplugin.cpp core/qopcuaplugin.h
        core/qopcuaprovider.cpp core/qopcuaprovider.h
        qopcuaglobal.h
    NO_PCH_SOURCES
        compat/removed_api.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::NetworkPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(OpcUa
    CONDITION
        QT_FEATURE_gds AND QT_FEATURE_openssl AND NOT APPLE AND NOT WINRT
    SOURCES
        client/qopcuagdsclient.cpp client/qopcuagdsclient.h client/qopcuagdsclient_p.h
        x509/openssl_symbols.cpp
        x509/qopcuakeypair.cpp x509/qopcuakeypair.h
        x509/qopcuakeypair_openssl.cpp
        x509/qopcuax509certificatesigningrequest.cpp x509/qopcuax509certificatesigningrequest.h
        x509/qopcuax509certificatesigningrequest_openssl.cpp
        x509/qopcuax509distinguishedname.cpp x509/qopcuax509distinguishedname.h
        x509/qopcuax509extension.cpp x509/qopcuax509extension.h
        x509/qopcuax509extensionbasicconstraints.cpp x509/qopcuax509extensionbasicconstraints.h
        x509/qopcuax509extensionextendedkeyusage.cpp x509/qopcuax509extensionextendedkeyusage.h
        x509/qopcuax509extensionkeyusage.cpp x509/qopcuax509extensionkeyusage.h
        x509/qopcuax509extensionsubjectalternativename.cpp
        x509/qopcuax509extensionsubjectalternativename.h
        x509/qopcuax509utils.cpp x509/qopcuax509utils_p.h
)

if (QT_FEATURE_gds AND QT_FEATURE_openssl)
    qt_internal_extend_target(OpcUa
        LIBRARIES WrapOpenSSL::WrapOpenSSL)
endif()

if(MSVC)
    target_compile_options(OpcUa PRIVATE /constexpr:steps4600000)
    target_compile_definitions(OpcUa PRIVATE USE_CUSTOM_NODEIDS_METAOBJECT)
elseif(GCC)
    target_compile_options(OpcUa PRIVATE -fconstexpr-ops-limit=70000000)
elseif(CLANG)
    target_compile_options(OpcUa PRIVATE -fconstexpr-steps=2000000)
endif()

qt_internal_extend_target(OpcUa CONDITION NOT QT_FEATURE_ns0idnames
    DEFINES
        QT_OPCUA_NO_NS0IDNAMES
)
qt_internal_add_docs(OpcUa
    doc/qtopcua.qdocconf
)

=== tests/open62541-testserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# This CMake function call can be used to update the generated code
#if (QT_FEATURE_system_open62541)
# find_package(open62541)
# set(UA_FILE_NS0 "${UA_NODESET_DIR}/Opc.Ua.NodeSet2.xml")
# ua_generate_nodeset_and_datatypes(
#    NAME "qtopcuatestmodel"
#    FILE_NS "${CMAKE_CURRENT_SOURCE_DIR}/TestModel/qtopcuatestmodel.xml"
#    FILE_BSD "${CMAKE_CURRENT_SOURCE_DIR}/TestModel/qtopcuatestmodel.bsd"
#    FILE_CSV "${CMAKE_CURRENT_SOURCE_DIR}/TestModel/qtopcuatestmodel.csv"
#    OUTPUT_DIR "${CMAKE_CURRENT_SOURCE_DIR}/generated"
# )
#endif()

#####################################################################
## open62541-testserver Binary:
#####################################################################

qt_internal_add_executable(open62541-testserver
    SOURCES
        ../../src/plugins/opcua/open62541/qopen62541utils.cpp
        ../../src/plugins/opcua/open62541/qopen62541valueconverter.cpp
        main.cpp
        testserver.cpp testserver.h
        generated/namespace_qtopcuatestmodel_generated.c
        generated/qtopcuatestmodel_nodeids.h
        generated/types_qtopcuatestmodel_generated_handling.h
        generated/namespace_qtopcuatestmodel_generated.h
        generated/types_qtopcuatestmodel_generated.c
        generated/types_qtopcuatestmodel_generated.h
    INCLUDE_DIRECTORIES
        ../../src/plugins/opcua/open62541
        generated/
    OUTPUT_DIRECTORY
        "${CMAKE_CURRENT_BINARY_DIR}"
    NO_UNITY_BUILD_SOURCES
        ../../src/plugins/opcua/open62541/qopen62541valueconverter.cpp
    LIBRARIES
        Qt::Core
        Qt::OpcUaPrivate
)

set_target_properties(open62541-testserver PROPERTIES MACOSX_BUNDLE TRUE)

# Resources:
set(certs_resource_files
    "pki/own/certs/open62541-testserver.der"
    "pki/own/private/open62541-testserver.der"
    "pki/trusted/certs/opcuaviewer.der"
    "pki/trusted/certs/tst_security.der"
)

qt_internal_add_resource(open62541-testserver "certs"
    PREFIX
        "/"
    FILES
        ${certs_resource_files}
)

# We need to disable optimizations on MSVC, to circumvent buggy code in the open62541.c file.
# Otherwise the test server fails to launch on Windows MSVC with UA_STATUSCODE_BADOUTOFMEMORY.
# We also disable them on Unixy platforms, to mimic the qmake fix done in QTBUG-75020.
# See QTBUG-85939 for details.
qt_opcua_disable_optimizations_in_current_dir()

## Scopes:
#####################################################################

qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541
    SOURCES
        ../../src/3rdparty/open62541/open62541.h
        ../../src/3rdparty/open62541/open62541.c
    INCLUDE_DIRECTORIES
        SYSTEM PRIVATE ../../src/3rdparty/open62541
    DEFINES
        UA_ENABLE_AMALGAMATION
)

if (QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541)
    target_include_directories(open62541-testserver
        SYSTEM PRIVATE ../../src/3rdparty/open62541
    )
endif()

#qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_mbedtls AND QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541
#    DEFINES
#        UA_ENABLE_ENCRYPTION
#        UA_ENABLE_ENCRYPTION_MBEDTLS
#    LIBRARIES
#        mbedtls
#)

if (QT_FEATURE_open62541_security AND NOT QT_FEATURE_system_open62541)
    find_package(WrapOpenSSL 3.0)
endif()

qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_open62541_security AND WrapOpenSSL_FOUND AND QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541
    DEFINES
        UA_ENABLE_ENCRYPTION_OPENSSL
    LIBRARIES
        WrapOpenSSL::WrapOpenSSL
)

qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_open62541 AND WIN32 AND MSVC AND NOT QT_FEATURE_system_open62541
    LIBRARIES
        iphlpapi.lib
)

qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541 AND WIN32 AND (GCC OR CLANG)
    LIBRARIES
        iphlpapi
)

#qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541 AND (WINRT OR WIN32 AND MSVC)
#    SOURCES
#        ../../src/3rdparty/open62541/open62541.c
#)

if (QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541)
    if (APPLE)
        set_source_files_properties(../../src/3rdparty/open62541/open62541.c PROPERTIES
        COMPILE_DEFINITIONS
            "_DARWIN_C_SOURCE")
    endif()

    if (NOT (WINRT OR WIN32 AND MSVC))
        set_source_files_properties(../../src/3rdparty/open62541/open62541.c PROPERTIES
        COMPILE_OPTIONS
            "-Wno-unused-parameter;-Wno-incompatible-pointer-types;-Wno-maybe-uninitialized;-Wno-format-overflow;-std=c99")
    elseif(WIN32 AND MSVC)
        set_source_files_properties(../../src/3rdparty/open62541/open62541.c PROPERTIES
        COMPILE_OPTIONS
            "/wd4133")
    endif()
endif()

if (QT_FEATURE_system_open62541)
    find_package(open62541 REQUIRED)
    target_compile_definitions(open62541-testserver PRIVATE USE_SYSTEM_OPEN62541)
endif()

qt_internal_extend_target(open62541-testserver CONDITION QT_FEATURE_system_open62541 OR NOT QT_FEATURE_open62541
    LIBRARIES
        open62541::open62541
)

=== src/plugins/opcua/open62541/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QOpen62541Plugin Plugin:
#####################################################################

qt_internal_add_plugin(QOpen62541Plugin
    OUTPUT_NAME open62541_backend
    PLUGIN_TYPE opcua
    SOURCES
        qopen62541.h
        qopen62541backend.cpp qopen62541backend.h
        qopen62541client.cpp qopen62541client.h
        qopen62541node.cpp qopen62541node.h
        qopen62541plugin.cpp qopen62541plugin.h
        qopen62541subscription.cpp qopen62541subscription.h
        qopen62541utils.cpp qopen62541utils.h
        qopen62541valueconverter.cpp qopen62541valueconverter.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::Network
        Qt::OpcUa
        Qt::OpcUaPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541
    SOURCES
        ../../../3rdparty/open62541/open62541.h
    ../../../3rdparty/open62541/open62541.c
    INCLUDE_DIRECTORIES
        ../../../3rdparty/open62541
    ATTRIBUTION_FILE_DIR_PATHS
        ../../../3rdparty/open62541
)

set_source_files_properties(qopen62541valueconverter.cpp
                            PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)

#qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_mbedtls AND QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541
#    DEFINES
#        UA_ENABLE_ENCRYPTION
#        UA_ENABLE_ENCRYPTION_MBEDTLS
#    LIBRARIES
#        mbedtls
#)
#special case end

qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_open62541_security AND WrapOpenSSL_FOUND AND QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541
    DEFINES
        UA_ENABLE_ENCRYPTION_OPENSSL
    LIBRARIES
        WrapOpenSSL::WrapOpenSSL
)

qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_open62541_security AND WrapOpenSSL_FOUND AND QT_FEATURE_system_open62541 AND OPEN62541_SYSTEM_ENCRYPTION
    LIBRARIES
        WrapOpenSSL::WrapOpenSSL
)

qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_open62541 AND WIN32 AND MSVC AND NOT QT_FEATURE_system_open62541
    LIBRARIES
        iphlpapi.lib
)

qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541 AND WIN32 AND (GCC OR CLANG)
    LIBRARIES
        iphlpapi
)

#qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541 AND (WINRT OR WIN32 AND MSVC)
#    SOURCES
#        ../../../3rdparty/open62541/open62541.c
#)

if (QT_FEATURE_open62541 AND NOT QT_FEATURE_system_open62541)
    if (APPLE)
        set_source_files_properties(../../../3rdparty/open62541/open62541.c PROPERTIES
        COMPILE_DEFINITIONS
            "_DARWIN_C_SOURCE")
    endif()

    if (NOT (WINRT OR WIN32 AND MSVC))
        set_source_files_properties(../../../3rdparty/open62541/open62541.c PROPERTIES
        COMPILE_OPTIONS
            "-Wno-unused-parameter;-Wno-incompatible-pointer-types;-Wno-maybe-uninitialized;-Wno-format-overflow;-std=c99")
    elseif(WIN32 AND MSVC)
        set_source_files_properties(../../../3rdparty/open62541/open62541.c PROPERTIES
            COMPILE_OPTIONS "/wd4133")
    endif()
endif()

if (QT_FEATURE_system_open62541)
    find_package(open62541 REQUIRED)
    target_compile_definitions(QOpen62541Plugin PRIVATE USE_SYSTEM_OPEN62541)
endif()

qt_internal_extend_target(QOpen62541Plugin CONDITION QT_FEATURE_system_open62541 OR NOT QT_FEATURE_open62541
    LIBRARIES
        open62541::open62541
)

## qt6-opcua 6.9.1

=== debian/changelog ===
qt6-opcua (6.9.1-0zneon+24.04+noble+stable+build12) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 16:03:50 +0000

qt6-opcua (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:29:19 +1000

qt6-opcua (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 02 May 2025 00:53:22 +1000

qt6-opcua (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:29:11 +1000

qt6-opcua (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:10:09 +1000

qt6-opcua (6.8.0-0neon) noble; urgency=medium

  * Initial qt6 release
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 15:36:34 +1000

=== debian/control ===
Source: qt6-opcua
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper,
               debhelper-compat (= 13),
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-opcua.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-opcua
Maintainer: Neon CI <neon@kde.org>

Package: qt6-opcua
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Description: Qt OPC UA Library
 The Qt OPC UA module implements a Qt API to interact with OPC UA on
 top of a 3rd party OPC UA stack.
 .
 The stacks are integrated as plugins and can be selected at runtime.
 Currently, the following implementations are supported:
 Open62541 v1.3.1, MPLv2
 Unified Automation C++ SDK (UACpp), Commercial
 .
 The QML API is still in development but are available as a technology
 preview. This means those parts are unstable, likely to change, and
 provided as a convenience only.

Package: qt6-opcua-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-opcua (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: cmake
Description: Qt 6 OPC UA development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building
 Qt 6 OPC UA applications.

## qt6-opcua 6.9.2

=== debian/changelog ===
qt6-opcua (6.9.2-0zneon+24.04+noble+release+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 00:43:24 +0000

qt6-opcua (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:17:05 +1000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1~),
-               qt6-declarative-dev (>= 6.9.1~)
+               qt6-base-dev (>= 6.9.2~),
+               qt6-declarative-dev (>= 6.9.2~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-opcua 6.9.3

=== debian/changelog ===
qt6-opcua (6.9.3-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:27:02 +0000

qt6-opcua (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                mold,
                ninja-build,
                pkg-kde-tools,
+               pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.2~),
-               qt6-declarative-dev (>= 6.9.2~)
+               qt6-base-dev (>= 6.9.3~),
+               qt6-declarative-dev (>= 6.9.3~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

## qt6-opcua 6.10.0

=== tests/auto/codegenerator/CMakeLists.txt ===
# Copyright (C) 2024 basysKom GmbH, opensource@basyskom.com
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qopcuaclient Test:
#####################################################################

qt_internal_add_test(tst_codegen
    SOURCES
        tst_codegen.cpp
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_BINARY_DIR}
    LIBRARIES
        Qt::OpcUa
        Qt::OpcUaPrivate
)

qt_opcua_generate_datatypes(
    tst_codegen
    OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/generated"
    INPUT_BSD "${CMAKE_CURRENT_SOURCE_DIR}/../../open62541-testserver/TestModel/qtopcuatestmodel.bsd"
    INPUT_CSV_MAP "TestModel:${CMAKE_CURRENT_SOURCE_DIR}/../../open62541-testserver/TestModel/qtopcuatestmodel.csv"
    PREFIX "CodegenTest"
)

qt_opcua_generate_datatypes(
    tst_codegen
    OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/generated2"
    INPUT_CSV_MAP "CsvOnlyTest:${CMAKE_CURRENT_SOURCE_DIR}/testids.csv"
    PREFIX "CsvOnlyTest"
)

if (WIN32)
    target_compile_definitions(tst_codegen PRIVATE TESTS_CMAKE_SPECIFIC_PATH)
endif()

=== debian/changelog ===
qt6-opcua (6.10.0-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 11:36:44 +0000

qt6-opcua (6.10.0-0neon) noble; urgency=medium

  * New release

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~)
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://github.com/qt/qtopcua/tags .*/v?(\d.*)@ARCHIVE_EXT@

## qt6-opcua 6.10.1

=== debian/changelog ===
qt6-opcua (6.10.1-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 05:48:48 +0000

qt6-opcua (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~)
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
